package com.qmth.distributed.print.business.activiti;

import com.qmth.distributed.print.business.entity.ExamTask;
import com.qmth.distributed.print.business.service.ExamTaskService;
import com.qmth.teachcloud.common.contant.SpringContextHolder;
import org.activiti.engine.delegate.DelegateExecution;
import org.activiti.engine.delegate.ExecutionListener;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @Description: 子流程启动监听
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/11/19
 */
public class StartApproveSubListener implements ExecutionListener {
    private final static Logger log = LoggerFactory.getLogger(StartApproveSubListener.class);

    @Override
    public void notify(DelegateExecution delegateExecution) {
        ExamTaskService examTaskService = SpringContextHolder.getBean(ExamTaskService.class);
        ExamTask examTask = examTaskService.findByFlowId(delegateExecution.getRootProcessInstanceId());
        examTask.setFlowId(examTask.getFlowId() + "," + delegateExecution.getProcessInstanceId());
        examTaskService.updateById(examTask);
    }
}